Results 1 to 6 of 6
  1. #1
    Join Date
    Jun 2009
    Posts
    5

    Question Unanswered: Installing DB2 runtime client v8.2 on v8.1.14

    Hi,
    I am trying to install DB2 v8.2 for DB2 runtime client on v8.1.14 (fix pack 12). I am getting an error as mentioned below:

    A different DB2 product at a lower fixpak level is already installed on this machine. You need to upgrade the installed products first to the same fixpak level of the product you are installing.

    I am not understanding which fixpack or version I need to install before installing v8.2.

    Also, I am not able to uninstall v8.1.14 since its not appearing under Control panrel -> Add/Remove Programs

    Help me please!!!

  2. #2
    Join Date
    Jun 2003
    Location
    Toronto, Canada
    Posts
    5,516
    Provided Answers: 1
    v8.1.14 is the same thing as v8.2.7

    Do I understand you correctly that you are trying to install the runtime client on the machine where you already have the server installed? Why do you think you need to do that?
    ---
    "It does not work" is not a valid problem statement.

  3. #3
    Join Date
    Jun 2009
    Posts
    5

    Thanks

    n_i,
    Thanks for your reply. THe issue was related to installing a different version of DB2 runtime client on existing version fo DB2 runtime client.

    We could resolve the issue by uninstalling existing version of DB2 runtime client by following these steps

    IBM - Uninstalling DB2

    Once DB2 runtime client was uninstalled, it was a piece of cake to install the new version.

    Thanks

  4. #4
    Join Date
    Jan 2007
    Location
    Jena, Germany
    Posts
    2,721
    8.1.14 is V8.1 FixPak 14, which is the same as V8.2 FixPak 7 as n_i said. So I don't understand why you deinstall V8.2 and then install it again.
    Knut Stolze
    IBM DB2 Analytics Accelerator
    IBM Germany Research & Development

  5. #5
    Join Date
    Jun 2009
    Posts
    5

    It was a different version

    Hi,
    It was a different version which was installed. It was not fix pack 14, but fix pack 12. I remember seeing v8.1.14 fix pack 12. When we tried to install v8.2 we were getting above mentioned error. So we had to either upgrade existing version a bit to be able to install v8.2 OR uninstall existing version and then install v8.2

  6. #6
    Join Date
    Jan 2007
    Location
    Jena, Germany
    Posts
    2,721
    I guess your issue is with interpreting DB2 version numbers. The structure is like this: <major>.<minor>.<fix-pak>. So the 3rd portion is the fix pak number already. Hence, 8.1.14 is DB2 V8.1 with FixPak 14. If you had V8.1 FP12, you would have seen V8.1.12. Thus, the statement you had version V8.1.14 FixPak 12 is a contradiction in itself.

    Also, my question still holds: why did you want to deinstall DB2 V8.2 and install it again? That really doesn't make any sense to me. You already had V8.2 installed because V8.1.7 <i>is the same</i> as V8.2. Since you had FixPak 12 or 14 already installed, which includes the functionality of FixPak 7, you had the V8.2 plus some fixes. From that perspective, you spent effort on a task that was not needed at all.
    Last edited by stolze; 06-06-09 at 13:05.
    Knut Stolze
    IBM DB2 Analytics Accelerator
    IBM Germany Research & Development

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •